APIMembers
Invite a member
Create a workspace invite and send the invitation email. The API key must have been created by a workspace member because the invite is attributed to a user. Requires the admin scope.
POST
/members/invitescurl -X POST "https://productlane.com/api/v2/members/invites" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "[email protected]",
"name": "string",
"role": "ADMIN"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
emailstring<email>requirednamestringrequiredroleenum<string>requiredRole granted on acceptance. One of
ADMIN,USER,VIEWER.One of:ADMINUSERVIEWER
Response
application/json
Successful response
idstringrequiredemailstringrequirednamestring | nullrequiredroleenum<string>requiredOne of:ADMINUSERVIEWERstateenum<string>requiredOne of:PENDINGACCEPTEDinvited_by_idstring | nullrequiredcreated_atstringrequired
{
"id": "string",
"email": "string",
"name": "string",
"role": "ADMIN",
"state": "PENDING",
"invited_by_id": "string",
"created_at": "string"
}